# VIRTUAL SURROUNDING IMPRESSION TOOL

This is the code that generates virtual surrounding impressions that can be used to detect undesired interviewer behaviour, such as:  
- conducting multiple interviews at the same location (read: faking at their place)
- changing location while conducting a single interview (read: trying to fool the time stamps by responding slowly while in car; filling in the gaps at home;...)

  
Please not this is only a single indicator and must always be taken with grain of salt. It is possible for a single interviewer to conduct multiple interviews at the same location (e.g. at the office, at the bar,..), but they should be able to explain it.

## The code

A full solution that works on all three major computer operating systems (Windows, Mac, Linux) is available in `Python/` folder. To run it, you should habe Python V3 or later installed.  
  
**Using the Python version is recommended for first-time use**  

If you have at least basic understanding of computer scripting, you can also use individual code snippets for Win, Lin or Mac in the appropriate subfolders.  
  
**Requirements**
  
- Linux:  
No special packages aside the usually installed stuff: BASH, NetworkManager, any hashing algo (example uses xxhsum)  

- Mac:  
No additional packages
- Windows:
WinFii from https://github.com/changyuheng/winwifi should be installed to enable non-admin users to scan for WIFI networks.  
  
## License

All code is released under GNU GPL V2:
    
	This program is free software: you can redistribute it and/or modify it  
	under the terms of the GNU General Public License as published by the Free  
	Software Foundation, either version 3 of the License, or (at your option)  
	any later version.  
  
	This program is distributed in the hope that it will be useful, but WITHOUT  
	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  
	FITNESS FOR A PARTICULAR PURPOSE.  
	See the GNU General Public License for more details.  
  
	You should have received a copy of the GNU General Public License along with   
	this program. If not, see <https://www.gnu.org/licenses/>.  

## Authors

ESS Work Package 8 team:

- Joost Kappelhoff
- Roberto Briceno-Rosas
- May Doušak
  
Original concept and programming:

- May Doušak


